CC=d:\gnu\gcc\gcc.ttp

CFLAGS= -Demacs -DHAVE_DUP2 -O -fomit-frame-pointer -fforce-mem -fstrength-reduce
RFLAGS= -DEMACS -DHAVE_DUP2 -O

plus_o= lib+/abort_in.o lib+/alarm.o lib+/dummy.o lib+/key-bind.o \
	lib+/malloc.o lib+/sbrk.o

plus_h= lib+/abort_in.c lib+/alarm.c lib+/dummy.c lib+/key-bind.c \
	lib+/malloc.c lib+/sbrk.c


obj=    dispnew.o scroll.o xdisp.o window.o \
	term.o cm.o emacs.o keyboard.o macros.o keymap.o sysdep.o \
	buffer.o filelock.o insdel.o marker.o \
	minibuf.o fileio.o dired.o filemode.o \
	cmds.o casefidd.o indent.o search.o regex.o undo.o \
	alloc.o data.o doc.o editfns.o callint.o \
	eval.o fns.o print.o lread.o \
	abbrev.o syntax.o unexec.o mocklisp.o bytecode.o \
	process.o callproc.o tparam.o \
	doprnt.o termcap.o environ.o $(plus_o)

otherobj=  lastfile.o 

SHELL=c:\mint\mw\mwinit.prg

temacs: ${obj} ${otherobj} 
	$(CC) ${LDFLAGS} -o temacs ${obj} ${otherobj} -liio -ltermcap


abbrev.o : abbrev.c buffer.h commands.h config.h 
buffer.o : buffer.c syntax.h buffer.h commands.h window.h config.h 
callint.o : callint.c window.h commands.h buffer.h config.h 
callproc.o : callproc.c paths.h buffer.h commands.h config.h 
casefidd.o : casefidd.c syntax.h commands.h buffer.h config.h 
cm.o : cm.c cm.h config.h
cmds.o : cmds.c syntax.h buffer.h commands.h config.h 
dired.o : dired.c commands.h buffer.h config.h 
dispnew.o : dispnew.c commands.h window.h buffer.h termchar.h termopts.h cm.h config.h
doc.o : doc.c buffer.h config.h paths.h
doprnt.o : doprnt.c
editfns.o : editfns.c window.h buffer.h config.h 
emacs.o : emacs.c commands.h config.h 
fileio.o : fileio.c window.h buffer.h config.h 
filelock.o : filelock.c buffer.h paths.h config.h
filemode.o : filemode.c 
indent.o : indent.c window.h indent.h buffer.h config.h termchar.h termopts.h
insdel.o : insdel.c window.h buffer.h config.h 
keyboard.o : keyboard.c termchar.h termopts.h buffer.h commands.h window.h macros.h config.h 
keymap.o : keymap.c buffer.h commands.h config.h 
lastfile.o : lastfile.c 
macros.o : macros.c window.h buffer.h commands.h macros.h config.h
malloc.o : malloc.c config.h
marker.o : marker.c buffer.h config.h 
minibuf.o : minibuf.c syntax.h window.h buffer.h commands.h config.h 
mocklisp.o : mocklisp.c buffer.h config.h
process.o : process.c process.h buffer.h window.h termopts.h commands.h config.h 
regex.o : regex.c syntax.h buffer.h config.h regex.h 
scroll.o : scroll.c termchar.h config.h 
search.o : search.c regex.h commands.h buffer.h syntax.h config.h 
syntax.o : syntax.c syntax.h buffer.h commands.h config.h 
sysdep.o : sysdep.c config.h termchar.h termopts.h window.h
term.o : term.c termchar.h termopts.h config.h cm.h
termcap.o : termcap.c config.h
terminfo.o : terminfo.c config.h
tparam.o : tparam.c config.h
undo.o : undo.c buffer.h commands.h config.h 
unexec.o : config.h
window.o : window.c indent.h commands.h window.h buffer.h config.h termchar.h
xdisp.o : xdisp.c macros.h commands.h indent.h buffer.h termchar.h window.h config.h 
alloc.o : alloc.c window.h buffer.h config.h 
bytecode.o : bytecode.c buffer.h config.h 
data.o : data.c buffer.h config.h 
eval.o : eval.c commands.h config.h
fns.o : fns.c buffer.h commands.h config.h
print.o : print.c process.h window.h buffer.h termchar.h config.h 
lread.o : lread.c buffer.h paths.h config.h 

lib+/alarm.o: lib+/alarm.c
	$(CC) $(RFLAGS) -c lib+/alarm.c -o lib+/alarm.o