#include <keycodes.h>

/**
 ** (sjk)++ To get the keyboard mapping right we use the I/O routines 
 **         from xconsole.c in the termcap library. Here we initialize 
 **         a few of the more common keys.
 **/

#if defined(atarist)
void initialize_st_bindings()
{   
  console_set_key(CURS_UP, "\033*H","\033*",(char *)0); /* UP arrow  */
							  /* and shift */
  console_set_key(CURS_DN, "\033*P","\033*",(char *)0); /* DN arrow  */
							  /* and shift */
  console_set_key(CURS_RT, "\033*M",(char *)0,(char *)0); /* RT arrow */
  console_set_key(CURS_LF, "\033*K",(char *)0,(char *)0); /* LF arrow */

  console_set_key(K_HOME,  "\033*G",(char *)0,(char *)0); /* Home      */
  console_set_key(K_HELP,  "\033*b",(char *)0,(char *)0); /* Help      */
  console_set_key(KP_MINUS,"\033*-",(char *)0,(char *)0); /* Key pad - */
  console_set_key(KP_DOT,  "\033*.",(char *)0,(char *)0); /* Key pad . */
  console_set_key(KP_0,    "\033*0",(char *)0,(char *)0); /* Key pad 0 */
  console_set_key(KP_1,    "\033*1",(char *)0,(char *)0); /* Key pad 0 */
  console_set_key(KP_2,    "\033*2",(char *)0,(char *)0); /* Key pad 0 */
  console_set_key(KP_3,    "\033*3",(char *)0,(char *)0); /* Key pad 0 */
  console_set_key(KP_4,    "\033*4",(char *)0,(char *)0); /* Key pad 0 */
  console_set_key(KP_5,    "\033*5",(char *)0,(char *)0); /* Key pad 0 */
  console_set_key(KP_6,    "\033*6",(char *)0,(char *)0); /* Key pad 0 */
  console_set_key(KP_7,    "\033*7",(char *)0,(char *)0); /* Key pad 0 */
  console_set_key(KP_8,    "\033*8",(char *)0,(char *)0); /* Key pad 0 */
  console_set_key(KP_9,    "\033*9",(char *)0,(char *)0); /* Key pad 0 */

/* Set function keys (1 - 10) and thier shifts... */
  console_set_key(F_1    ,  "\033*;" , "\033*T", (char *)0);
  console_set_key(F_2    ,  "\033*<" , "\033*U", (char *)0);
  console_set_key(F_3    ,  "\033*=" , "\033*V", (char *)0);
  console_set_key(F_4    ,  "\033*>" , "\033*W", (char *)0);
  console_set_key(F_5    ,  "\033*?" , "\033*X", (char *)0);
  console_set_key(F_6    ,  "\033*@" , "\033*Y" , (char *)0);
  console_set_key(F_7    ,  "\033*A" , "\033*Z" , (char *)0);
  console_set_key(F_8    ,  "\033*B" , "\033*[" , (char *)0);
  console_set_key(F_9    ,  "\033*C" , "\033*\\" ,(char *)0);
  console_set_key(F_10   ,  "\033*D" , "\033*]" , (char *)0);


  console_set_key(K_INS, "\033*R","\033*", (char *)0); /*insert/S-insert */
  console_set_key(K_UNDO,"\033*a",(char *)0, (char *)0); /* UNDO */

  console_set_key(0x2d,"x","X","\370");
}
#endif

